Skip to main content
PUT
/
calendars
/
{calendarId}
/
notifications
/
{notificationId}
Update notification
curl --request PUT \
  --url https://services.leadconnectorhq.com/calendars/{calendarId}/notifications/{notificationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "receiverType": "contact",
  "additionalEmailIds": [
    "example1@email.com",
    "example2@email.com"
  ],
  "additionalPhoneNumbers": [
    "+919876744444",
    "+919876744445"
  ],
  "selectedUsers": [
    "userId1",
    "userId2",
    "sub_account_admin"
  ],
  "channel": "email",
  "notificationType": "booked",
  "isActive": true,
  "deleted": false,
  "templateId": "<string>",
  "body": "<string>",
  "subject": "<string>",
  "afterTime": [
    {
      "timeOffset": 1,
      "unit": "hours"
    }
  ],
  "beforeTime": [
    {
      "timeOffset": 1,
      "unit": "hours"
    }
  ],
  "fromAddress": "<string>",
  "fromNumber": "<string>",
  "fromName": "<string>"
}
'
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

calendarId
string
required
notificationId
string
required

Body

application/json
receiverType
enum<string>

Notification recipient type

Available options:
contact,
guest,
assignedUser,
emails,
phoneNumbers,
business
additionalEmailIds
string[]

Additional email addresses to receive notifications.

Example:
["example1@email.com", "example2@email.com"]
additionalPhoneNumbers
string[]

Additional phone numbers to receive notifications.

Example:
["+919876744444", "+919876744445"]
selectedUsers
string[]

Selected users for in-App and business email notifications. Supports user IDs and special keyword "sub_account_admin"

Example:
["userId1", "userId2", "sub_account_admin"]
channel
enum<string>

Notification channel

Available options:
email,
inApp,
sms,
whatsapp
notificationType
enum<string>

Notification type

Available options:
booked,
confirmation,
cancellation,
reminder,
followup,
reschedule
isActive
boolean
default:true

Is the notification active

deleted
boolean
default:false

Marks the notification as deleted (soft delete)

templateId
string

Template ID for email notification

body
string

Body for email notification. Not necessary for in-App notification

subject
string

Subject for email notification. Not necessary for in-App notification

afterTime
object[]

Specifies the time after which the follow-up notification should be sent. This is not required for other notification types.

Example:
[{ "timeOffset": 1, "unit": "hours" }]
beforeTime
object[]

Specifies the time before which the reminder notification should be sent. This is not required for other notification types.

Example:
[{ "timeOffset": 1, "unit": "hours" }]
fromAddress
string

From address for email notification

fromNumber
string

from number for sms notification

fromName
string

From name for email/sms notification

Response

Successful response

message
string
required

Result of delete/update operation

Last modified on March 4, 2026